/**************************************************************************//**
 * @item     CosyOS Kernel
 * @file     os_sysidle.c
 * @brief    系统空闲任务（Sysidle）
 * @author   迟凯峰
 * @version  V3.3.0
 * @date     2023.07.15
 ******************************************************************************/

#include "os_link.h"

uCreateTask(Sysidle, 0, __STACKSIZE_SYSIDLE__, 0, 0)
{
	#if SYSCFG_SAFERUNTIME == __ENABLED__
	{
		tTID i;
		for(i=1; i<OS_TASKTOTAL + 1; i++)
		{
			vOVERTIME[i] = 0;
		}
	}
	#endif
	#if SYSCFG_SOFTRTC == __ENABLED__
	{
		static u8 year = 0xFF;
		if(year != vRealTime[0])
		{
			year = vRealTime[0];
			vMonth2Date = year ? ((year & 3) ? 28 : 29) : ((sDefCentury & 3) ? 28 : 29);
		}
	}
	#endif
	#if SYSCFG_IDLEHOOK == __ENABLED__
	{
		idle_hook();
	}
	#endif
	mSys_Idle;
	uEndTasking;
}
